Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins
Class JavaPlugin

    java.lang.Object
      org.gradle.api.plugins.JavaPlugin

All Implemented Interfaces:
  Plugin

    public class JavaPlugin

extends java.lang.Object
implements Plugin

A `Plugin` which compiles and tests Java source, and assembles it into a JAR file.

Field Summary
`static java.lang.String` | `COMPILE_CONFIGURATION_NAME`
`static java.lang.String` | `COMPILE_TASK_NAME`
`static java.lang.String` | `COMPILE_TESTS_TASK_NAME`
`static java.lang.String` | `DISTS_CONFIGURATION_NAME`
`static java.lang.String` | `DISTS_TASK_NAME`
`static java.lang.String` | `JAR_TASK_NAME`
`static java.lang.String` | `JAVADOC_TASK_NAME`
`static java.lang.String` | `LIBS_TASK_NAME`
`static java.lang.String` | `PROCESS_RESOURCES_TASK_NAME`
`static java.lang.String` | `PROCESS_TEST_RESOURCES_TASK_NAME`
`static java.lang.String` | `RUNTIME_CONFIGURATION_NAME`
`static java.lang.String` | `TEST_COMPILE_CONFIGURATION_NAME`
`static java.lang.String` | `TEST_RUNTIME_CONFIGURATION_NAME`
`static java.lang.String` | `TEST_TASK_NAME`

Constructor Summary
`JavaPlugin()`

Method Summary
`protected Compile` | `configureCompileInternal(Compile compile, java.util.Map propertyMapping)`
`protected Compile` | `configureCompileTests(Compile compileTests, Compile compile, java.util.Map propertyMapping, ConfigurationContainer configurations)`
`protected org.gradle.api.plugins.JavaPluginConvention` | `java(Convention convention)`
`void` | `use(Project project, ProjectPluginsContainer projectPluginsHandler)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROCESS_RESOURCES_TASK_NAME

    public static final java.lang.String PROCESS_RESOURCES_TASK_NAME

See Also:
  Constant Field Values

### COMPILE_TASK_NAME

    public static final java.lang.String COMPILE_TASK_NAME

See Also:
  Constant Field Values

### PROCESS_TEST_RESOURCES_TASK_NAME

    public static final java.lang.String PROCESS_TEST_RESOURCES_TASK_NAME

See Also:
  Constant Field Values

### COMPILE_TESTS_TASK_NAME

    public static final java.lang.String COMPILE_TESTS_TASK_NAME

See Also:
  Constant Field Values

### TEST_TASK_NAME

    public static final java.lang.String TEST_TASK_NAME

See Also:
  Constant Field Values

### JAR_TASK_NAME

    public static final java.lang.String JAR_TASK_NAME

See Also:
  Constant Field Values

### LIBS_TASK_NAME

    public static final java.lang.String LIBS_TASK_NAME

See Also:
  Constant Field Values

### DISTS_TASK_NAME

    public static final java.lang.String DISTS_TASK_NAME

See Also:
  Constant Field Values

### JAVADOC_TASK_NAME

    public static final java.lang.String JAVADOC_TASK_NAME

See Also:
  Constant Field Values

### COMPILE_CONFIGURATION_NAME

    public static final java.lang.String COMPILE_CONFIGURATION_NAME

See Also:
  Constant Field Values

### RUNTIME_CONFIGURATION_NAME

    public static final java.lang.String RUNTIME_CONFIGURATION_NAME

See Also:
  Constant Field Values

### TEST_RUNTIME_CONFIGURATION_NAME

    public static final java.lang.String TEST_RUNTIME_CONFIGURATION_NAME

See Also:
  Constant Field Values

### TEST_COMPILE_CONFIGURATION_NAME

    public static final java.lang.String TEST_COMPILE_CONFIGURATION_NAME

See Also:
  Constant Field Values

### DISTS_CONFIGURATION_NAME

    public static final java.lang.String DISTS_CONFIGURATION_NAME

See Also:
  Constant Field Values

Constructor Detail

### JavaPlugin

    public JavaPlugin()

Method Detail

### use

    public void use(Project project,
                    ProjectPluginsContainer projectPluginsHandler)

  Specified by:
    `use` in interface `Plugin`

### configureCompileTests

    protected Compile configureCompileTests(Compile compileTests,
                                            Compile compile,
                                            java.util.Map propertyMapping,
                                            ConfigurationContainer configurations)

### configureCompileInternal

    protected Compile configureCompileInternal(Compile compile,
                                               java.util.Map propertyMapping)

### java

    protected org.gradle.api.plugins.JavaPluginConvention java(Convention convention)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD